﻿init:
    $ mods["MusicClub"] = u"{font=[musclub_font1]}Музыкальный клуб{/font}"

    #Основная игра

    $ musclub_music =          "musclub/resources/sound/music/"               # Пути к файлам
    $ musclub_resources =      "musclub/resources/"                          # Пути к файлам
    $ musclub_sound =          "musclub/resources/sound/"                    # Музыка / Звуки
    $ musclub_fonts =          "musclub/resources/fonts/"                    # Шрифты
    $ musclub_bg =             "musclub/resources/images/bg/"                # Фоны
    $ musclub_cg =             "musclub/resources/images/cg/"                # Арты
    $ musclub_extra =          "musclub/resources/images/extra/"             # Разное
    $ musclub_diary =          "musclub/resources/images/diary/"             # Дневник
    $ musclub_menu =           "musclub/resources/images/menu/"              # Меню
    $ musclub_gui =            "musclub/resources/images/gui/"               # GUI
    $ musclub_sprites =        "musclub/resources/images/sprites/"           # Спрайты

    $ maintheme = musclub_sound + "maintheme.ogg"
    $ mc_jjba_end = musclub_sound + "mc_jjba_end.ogg"

    transform menu_animation:
        alpha 0.0
        easein 0.2 alpha 1.0
        on hide:
            alpha 1.0
            easein 0.2 alpha 0.0

    transform musclub_credits_anim:
        xalign 0.5
        ypos 1.5
        linear 62.0 ypos -4.0

label menu_musclub:
    stop ambience
    stop music fadeout 1
    play music maintheme
    jump homepage_musclub

#Главная страница
label homepage_musclub:
    hide musclub_menu_angle
    scene black with dissolve
    scene musclub_menu_background with dis1
    show musclub_menu_line

    hide glitch_waifu_un with dis1
    hide glitch_waifu_ur with dis1
    hide glitch_waifu_mi with dis1
    hide glitch_waifu_dv with dis1

    $ glitch_waifu = renpy.random.choice(['Лена', 'Юри', 'Алиса', 'Мику'])
    if glitch_waifu == "Лена":
        show glitch_waifu_un with dissolve
    elif glitch_waifu == "Юри":
        show glitch_waifu_ur with dissolve
    elif glitch_waifu == "Алиса":
        show glitch_waifu_dv with dissolve
    elif glitch_waifu == "Мику":
        show glitch_waifu_mi with dissolve

    call screen musclub_main_menu
    screen musclub_main_menu:
        tag menu
        modal True

        #Загрузить
        imagebutton at menu_animation:
            auto musclub_menu + "homepage/musclub_load_btn_%s.png"
            xpos 31    #modded: xpos 46
            ypos 276    #modded: ypos 414
            action ShowMenu("load")

        #Новая игра
        imagebutton at menu_animation:
            auto musclub_menu + "homepage/musclub_start_game_btn_%s.png"
            xpos 31    #modded: xpos 46
            ypos 367    #modded: ypos 551
            action Jump("musclub_1")

        #Настройки
        imagebutton at menu_animation:
            auto musclub_menu + "homepage/musclub_dlc_btn_%s.png"
            xpos 31    #modded: xpos 46
            ypos 405    #modded: ypos 608
            # action Jump("settings")
            action None

        #Титры
        imagebutton at menu_animation:
            auto musclub_menu + "homepage/musclub_info_homepage_btn_%s.png"
            xpos 31    #modded: xpos 46
            ypos 458    #modded: ypos 687
            action Jump("about_musclub")

        #Поддержать
        imagebutton at menu_animation:
            auto musclub_menu + "homepage/musclub_donate_btn_%s.png"
            xpos 31    #modded: xpos 46
            ypos 504    #modded: ypos 756
            action Jump("donate_musclub")

        #Выход
        imagebutton at menu_animation:
            auto musclub_menu + "homepage/musclub_quit_btn_%s.png"
            xpos 31    #modded: xpos 46
            ypos 595    #modded: ypos 892
            action MainMenu(confirm=False)



# Контакты
label about_musclub:

    hide musclub_menu_line with dis1
    show musclub_menu_angle with dis1

    hide glitch_waifu_un
    hide glitch_waifu_ur
    hide glitch_waifu_mi
    hide glitch_waifu_dv
    with dissolve

    $ glitch_waifu = renpy.random.choice(['Лена', 'Юри', 'Алиса', 'Мику'])
    if glitch_waifu == "Лена":
        show glitch_waifu_un with dissolve
    elif glitch_waifu == "Юри":
        show glitch_waifu_ur with dissolve
    elif glitch_waifu == "Алиса":
        show glitch_waifu_dv with dissolve
    elif glitch_waifu == "Мику":
        show glitch_waifu_mi with dissolve

    call screen musclub_about
    screen musclub_about:
        tag menu
        modal True

        # Названия разделов
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_info_name_%s.png"
            xpos 33    #modded: xpos 50
            ypos 100    #modded: ypos 150
            action None
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_link_name_%s.png"
            xpos 33    #modded: xpos 50
            ypos 163    #modded: ypos 245
            action None
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_about_name_%s.png"
            xpos 33    #modded: xpos 50
            ypos 367    #modded: ypos 550
            action None

        #Группа
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_vk_btn_%s.png"
            xpos 57    #modded: xpos 85
            ypos 214    #modded: ypos 321
            action OpenURL("https://vk.com/esmusclub")

        #Стим
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_steam_btn_%s.png"
            xpos 57    #modded: xpos 85
            ypos 248    #modded: ypos 372
            action OpenURL("https://steamcommunity.com/sharedfiles/filedetails/?id=1352697499")

        #WIKI - Страница
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_wiki_btn_%s.png"
            xpos 57    #modded: xpos 85
            ypos 283    #modded: ypos 424
            action OpenURL("https://everlasting-summer.fandom.com/ru/wiki/Музыкальный_клуб")

        #Прохождение
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_guide_btn_%s.png"
            xpos 57    #modded: xpos 85
            ypos 417    #modded: ypos 626
            action OpenURL("https://vk.com/page-163787784_53798635")

        #Информация
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_info_btn_%s.png"
            xpos 57    #modded: xpos 85
            ypos 451    #modded: ypos 677
            action OpenURL("https://vk.com/page-163787784_53798443")

        #Титры
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_credits_btn_%s.png"
            xpos 57    #modded: xpos 85
            ypos 485    #modded: ypos 728
            action Jump("credits_musclub")



        #Выход
        imagebutton at menu_animation:
            auto musclub_menu + "back_%s.png"
            xpos 33    #modded: xpos 50
            ypos 568    #modded: ypos 852
            action Jump("homepage_musclub")

        #Поддержка
        imagebutton at menu_animation:
            auto musclub_menu + "about/musclub_donate_info_btn_%s.png"
            xpos 57    #modded: xpos 85
            ypos 317    #modded: ypos 476
            action Jump("donate_musclub")

# Титры
label credits_musclub:
    $ renpy.pause(0.3)
    hide musclub_menu_angle
    hide glitch_waifu_un with dis1
    hide glitch_waifu_ur with dis1
    hide glitch_waifu_mi with dis1
    hide glitch_waifu_dv with dis1
    show text "{font=musclub/resources/fonts/font1.ttf}{size=27}{color=#ff0000}Автор идеи, кодер:{/color}\n\nДавид Аганов\n\n\n{color=#ff0000}Сценарист, кодер:{/color}\n\nСемён Воронов\n\n\n{color=#ff0000}Принимали участие в создании:{/color}\n\nЕгор Бобков: Спрайты Юри\n\nДенис Кирсанов (FlameX): Художник\n\nРоман Варламов: Помощь с графикой\n\nАндрей Милованов, Traditional Moonshine: Помощь с кодом\n\nКирилл Замяткин: Порт на мобильные устройства\n\n\n{color=#ff0000}Поддержавшие проект люди:{/color}\n\n_псих_42rus, Лена, Damzarip, Demosfen, FireDronPlay, Pavelgrom1447, negoDOON, Monina, Vinsent Shetinovich, Эдуард, Alkashin, Не-а, NatsukiFromJapan, Alf0nidze, Даниил Даниилов, Андрей Милованов, Саня Милос, Чайка, wedmany, Darth Fierce, Skanech Remov, SaDarkness, Николай Гроссман\n\n\n{color=#ff0000}Использованный контент:{/color}\n\nTokyo Ghoul:re OP - Asphyxia - Co shu Nie (Metal Cover) by Curserino\n\n Sacramento Font by Brian J. Bonislawsky DBA Astigmatic (AOETI) (astigma@astigmatic.com)\n\n\n{color=#ff0000}Помощь с распространением:{/color}\n\nБесконечное лето/Everlasting summer Fan group\n\nЛетоДайджест{/size}{/font}" at musclub_credits_anim    #modded: show text "{font=musclub/resources/fonts/font1.ttf}{size=40}{color=#ff0000}Автор идеи, кодер:{/color}\n\nДавид Аганов\n\n\n{color=#ff0000}Сценарист, кодер:{/color}\n\nСемён Воронов\n\n\n{color=#ff0000}Принимали участие в создании:{/color}\n\nЕгор Бобков: Спрайты Юри\n\nДенис Кирсанов (FlameX): Художник\n\nРоман Варламов: Помощь с графикой\n\nАндрей Милованов, Traditional Moonshine: Помощь с кодом\n\nКирилл Замяткин: Порт на мобильные устройства\n\n\n{color=#ff0000}Поддержавшие проект люди:{/color}\n\n_псих_42rus, Лена, Damzarip, Demosfen, FireDronPlay, Pavelgrom1447, negoDOON, Monina, Vinsent Shetinovich, Эдуард, Alkashin, Не-а, NatsukiFromJapan, Alf0nidze, Даниил Даниилов, Андрей Милованов, Саня Милос, Чайка, wedmany, Darth Fierce, Skanech Remov, SaDarkness, Николай Гроссман\n\n\n{color=#ff0000}Использованный контент:{/color}\n\nTokyo Ghoul:re OP - Asphyxia - Co shu Nie (Metal Cover) by Curserino\n\n Sacramento Font by Brian J. Bonislawsky DBA Astigmatic (AOETI) (astigma@astigmatic.com)\n\n\n{color=#ff0000}Помощь с распространением:{/color}\n\nБесконечное лето/Everlasting summer Fan group\n\nЛетоДайджест{/size}{/font}" at musclub_credits_anim
    $ renpy.pause(25)
    jump about_musclub

# Поддержка
label donate_musclub:
    show musclub_menu_angle with dis1
    hide musclub_menu_line with dis1
    hide glitch_waifu_dv
    hide glitch_waifu_un
    hide glitch_waifu_ur
    hide glitch_waifu_mi
    with dissolve

    $ glitch_waifu = renpy.random.choice(['Лена', 'Юри', 'Алиса', 'Мику'])
    if glitch_waifu == "Лена":
        show glitch_waifu_un with dissolve
    elif glitch_waifu == "Юри":
        show glitch_waifu_ur with dissolve
    elif glitch_waifu == "Алиса":
        show glitch_waifu_dv with dissolve
    elif glitch_waifu == "Мику":
        show glitch_waifu_mi with dissolve

    call screen musclub_donate
    screen musclub_donate:
        tag menu
        modal True

        # Поддержка мода
        imagebutton at menu_animation:
            auto musclub_menu + "donate/musclub_donate_info_name_%s.png"
            xpos 33    #modded: xpos 50
            ypos 97    #modded: ypos 146
            action None

        # DonationAlerts
        imagebutton at menu_animation:
            auto musclub_menu + "donate/musclub_donal_btn_%s.png"
            xpos 22    #modded: xpos 33
            ypos 465    #modded: ypos 698
            action OpenURL("https://www.donationalerts.com/r/steampumpkin")
        # Текст
        imagebutton at menu_animation:
            auto musclub_menu + "donate/musclub_donate_info_%s.png"
            xpos 32    #modded: xpos 48
            ypos 158    #modded: ypos 237
            action None
        #Выход
        imagebutton at menu_animation:
            auto musclub_menu + "back_%s.png"
            xpos 31    #modded: xpos 46
            ypos 595    #modded: ypos 892
            action Jump("homepage_musclub")
# Android version created with ESTool v1.000
# More info here: https://vk.com/topic-93304648_35130916
